Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.examples.escape
Class WikiExample

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.ascape.model.Scape
                              org.eclipse.amp.amf.examples.escape.WikiExample

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, ControlListener, ScapeListener, Location, Node, SpaceContext, HasName, RandomFunctions, IGraphicsAdapted

Direct Known Subclasses:
  WikiExample3D

    public class WikiExample

extends Scape
implements IGraphicsAdapted

WikiExample Java Implementation. Generated by AMF for model: WikiExample.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.ascape.model.Scape
`Scape.ConditionalIterator, Scape.DrawFeatureObservable`

Field Summary

Fields inherited from class org.ascape.model.Scape
`AGENT_ORDER, agentsPerIteration, ALL_AGENTS, CLEAR_STATS_RULE, COLLECT_STATS_RULE, COMPARE_ORDERED_QUALIFIERS, COMPLETE_TOUR, copyrightAndCredits, CREATE_GRAPHIC_VIEW_RULE, CREATE_RULE, CREATE_SCAPE_RULE, CREATE_VIEW_RULE, EXECUTE_RULES_RULE, INITIAL_RULES_RULE, initialRules, prototypeAgent, REPEATED_DRAW, RULE_ORDER, version`

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`WikiExample()` Constructs a new WikiExample.

Method Summary
`void` | `calculateTimeStep(int timeStep)`
`java.lang.Object` | `clone()` Clones the agent, ensuring that a unique id is assigned.
`protected void` | `create2DViews()`
`protected void` | `createChartViews()`
`void` | `createGraphicViews()` Creates UI views for WikiExample.
`protected void` | `createGraphViews()`
`protected Individual` | `createIndividualPrototype()` Create an instance of Individual that will be used to populate the individualScape.
`void` | `createScape()` Creates the members of WikiExample.
`java.util.List<IAgentChild>` | `getChildren()`
`Scape` | `getCity()` Gets the City property for WikiExample.
`int[]` | `getCityDimensions()` Gets the Dimensions property for City.
`int` | `getCityHeight()` Gets the Height property for City.
`int` | `getCityWidth()` Gets the Width property for City.
`IGraphicsAdapter` | `getGraphicsAdapter()`
`int` | `getIndividualCount()` Gets the Individual Count property for WikiExample.
`Scape` | `getIndividualScape()` Returns the Scape containing Individuals.
`int` | `getMaximumAge()` Gets the Maximum Age property for WikiExample.
`double` | `getMaximumWealth()` Gets the Maximum Wealth property for WikiExample.
`java.lang.String` | `getName()`
`long` | `getUID()`
`static void` | `main(java.lang.String[] args)`
`void` | `scapeSetup(ScapeEvent scapeEvent)`
`void` | `setCity(Scape _city)` Sets the City property for WikiExample.
`void` | `setCityDimensions(int[] _cityDimensions)` Sets the Dimensions property for City.
`void` | `setCityHeight(int _cityHeight)` Sets the Height property for City.
`void` | `setCityWidth(int _cityWidth)` Sets the Width property for City.
`void` | `setIndividualCount(int _individualCount)` Sets the Individual Count property for WikiExample.
`void` | `setMaximumAge(int _maximumAge)` Sets the Maximum Age property for WikiExample.
`void` | `setMaximumWealth(double _maximumWealth)` Sets the Maximum Wealth property for WikiExample.
`void` | `startSimulationAgentChild(int timeStep)`

Methods inherited from class org.ascape.model.Scape
`add, add, add, add, addAll, addDrawFeature, addInitialRule, addInitialRule, addRule, addRule, addScapeListener, addScapeListenerFirst, addStatCollector, addStatCollectorIfNew, addStatCollectors, addView, addView, addView, addViews, addViews, addViews, assignParameters, assignParameters, calculateDistance, calculateDistance, clear, construct, contains, containsAll, contentsToString, countWithin, createNonGraphicViews, createSelfView, createViews, createViews, environmentQuiting, execute, execute, executeOnMembers, executeOnMembers, executeOnMembers, executeOnMembers, executeOnRoot, executeOnRoot, find, findMaximum, findMaximum, findMaximumWithin, findMinimum, findMinimum, findMinimumWithin, findNearest, findRandom, findRandom, findRandom, findRandomCoordinate, findWithin, get, get, getAgentsPerIteration, getAllScapes, getCollectStats, getData, getDescription, getDrawFeatures, getDrawFeaturesObservable, getEnvironment, getExecutionOrder, getExecutionStyle, getExtent, getHome, getHTMLDescription, getInitialRules, getIteration, getIterationsPerRedraw, getModel, getPausePeriod, getPeriod, getPeriodDescription, getPeriodName, getPrototype, getPrototypeAgent, getRoot, getRules, getRunner, getScapeListeners, getSize, getSpace, getStartPeriod, getStatCollectors, getStopPeriod, getSuperScape, getThreadCount, getUIEnvironment, getUserEnvironment, hasWithin, initialize, isAllViewsUpdated, isAutoCreate, isCellsRequestUpdates, isEmpty, isGraphic, isHome, isLifeOfScape, isListenersAndMembersCurrent, isMembersActive, isMutable, isPaused, isPeriodic, isPopulateOnCreate, isRoot, isRunning, isScapeListener, isSerializable, isStartOnOpen, isUpdateNeeded, isValidPeriod, isViewSelf, iterator, listenerOrMemberUpdated, listenerUpdated, memberUpdated, moveAway, moveToward, newAgent, newAgent, notifyViews, notifyViews, populate, remove, remove, removeAll, removeDrawFeature, removeScapeListener, respondControl, respondDrawFeature, retainAll, retrieveAllAccessors, retrieveAllAccessorsOrdered, retrieveModelAccessorsOrdered, save, save, scapeAdded, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeIterator, scapeIterator, scapeIterators, scapeNotification, scapeRandomIterator, scapeRemoved, scapeStarted, scapeStopped, search, searchMax, searchMin, set, set, set, set, setAgentsPerIteration, setAutoCreate, setAutoRestart, setCellsRequestUpdates, setCollectStats, setCollectStats, setDescription, setEarliestPeriod, setExecutionOrder, setExecutionStyle, setExtent, setExtent, setExtent, setHome, setHTMLDescription, setInitialRules, setIterationsPerRedraw, setIterationsPerRedraw, setLatestPeriod, setMembersActive, setPaused, setPausePeriod, setPeriodic, setPeriodName, setPopulateOnCreate, setPrototypeAgent, setRunner, setRunning, setSerializable, setSize, setSpace, setStartOnOpen, setStartPeriod, setStopPeriod, setSuperScape, setThreadCount, setViewSelf, size, toArray, toArray, toString, withinIterator`

Methods inherited from class org.ascape.model.CellOccupant
`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, getOccupant, hostedCondition, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getColor, getImage, getImage, getPlatformColor, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Methods inherited from interface org.ascape.model.event.ScapeListener
`getScape`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### WikiExample

    public WikiExample()

  Constructs a new WikiExample.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `ScapeListener`
  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `Scape`
  Returns:
    the object

### createIndividualPrototype

    protected Individual createIndividualPrototype()

  Create an instance of Individual that will be used to populate the individualScape. Overide to customize the prototype, for example to change the views created for a member scape.

### createScape

    public void createScape()

  Creates the members of WikiExample.

  Overrides:
    `createScape` in class `Scape`
  See Also:
    `Scape.setPopulateOnCreate(boolean)`

### createGraphicViews

    public void createGraphicViews()

  Creates UI views for WikiExample.

  Overrides:
    `createGraphicViews` in class `Scape`

### scapeSetup

    public void scapeSetup(ScapeEvent scapeEvent)

  Specified by:
    `scapeSetup` in interface `ScapeListener`
  Overrides:
    `scapeSetup` in class `Scape`
  Parameters:
    `scapeEvent` - the associated scape event

### getIndividualScape

    public Scape getIndividualScape()

  Returns the Scape containing Individuals.

### createChartViews

    protected void createChartViews()

### create2DViews

    protected void create2DViews()

### createGraphViews

    protected void createGraphViews()

### getGraphicsAdapter

    public IGraphicsAdapter getGraphicsAdapter()

  Specified by:
    `getGraphicsAdapter` in interface `IGraphicsAdapted`

### main

    public static void main(java.lang.String[] args)

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### getIndividualCount

    public int getIndividualCount()

  Gets the Individual Count property for WikiExample.

  Returns:
    The number of individuals to create.

### setIndividualCount

    public void setIndividualCount(int _individualCount)

  Sets the Individual Count property for WikiExample. The number of individuals to create.

  Parameters:
    `_individualCount` - the new Individual Count value

### getMaximumAge

    public int getMaximumAge()

  Gets the Maximum Age property for WikiExample.

  Returns:

### setMaximumAge

    public void setMaximumAge(int _maximumAge)

  Sets the Maximum Age property for WikiExample.

  Parameters:
    `_maximumAge` - the new Maximum Age value

### getMaximumWealth

    public double getMaximumWealth()

  Gets the Maximum Wealth property for WikiExample.

  Returns:

### setMaximumWealth

    public void setMaximumWealth(double _maximumWealth)

  Sets the Maximum Wealth property for WikiExample.

  Parameters:
    `_maximumWealth` - the new Maximum Wealth value

### getCityDimensions

    public int[] getCityDimensions()

  Gets the Dimensions property for City.

  Returns:
    The size of each dimension.

### setCityDimensions

    public void setCityDimensions(int[] _cityDimensions)

  Sets the Dimensions property for City. The size of each dimension.

  Parameters:
    `_cityDimensions` - the new Dimensions value

### getCityWidth

    public int getCityWidth()

  Gets the Width property for City.

  Returns:
    The horizontal extent of the space.

### setCityWidth

    public void setCityWidth(int _cityWidth)

  Sets the Width property for City. The horizontal extent of the space.

  Parameters:
    `_cityWidth` - the new Width value

### getCityHeight

    public int getCityHeight()

  Gets the Height property for City.

  Returns:
    The vertical extent of the space.

### setCityHeight

    public void setCityHeight(int _cityHeight)

  Sets the Height property for City. The vertical extent of the space.

  Parameters:
    `_cityHeight` - the new Height value

### getCity

    public Scape getCity()

  Gets the City property for WikiExample.

  Returns:

### setCity

    public void setCity(Scape _city)

  Sets the City property for WikiExample.

  Parameters:
    `_city` - the new City value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SpaceContext`
  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `Scape`
  Returns:
    the name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD